#include <bits/stdc++.h>

using namespace std;

int main()
{   string s;
    int a,b;
    char x,y;
    cin>>s>>a>>b;
    x=s[0];
    y=s[1];
    if(a<b)
    {
        swap(a,b);
        swap(x,y);
    }
    if(a-b>1)
        cout << "nemoguce" << endl;
    else
    {
        for(int i=0;i<b;i++)
        {
            putchar(x);
            putchar(y);
        }
        if(a>b)
            putchar(x);
        putchar('\n');
    }
    return 0;
}